Summary:        Libraries for Interface Definition Language files.
Name:           libIDL
Version:        0.8.14
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://gitlab.gnome.org/Archive/libidl
Source0:        https://download.gnome.org/sources/libIDL/0.8/%{name}-%{version}.tar.bz2
Patch3000:      libIDL-0.8.6-multilib.patch

BuildRequires:  gcc make flex bison
BuildRequires:  pkgconfig >= 0.9
BuildRequires:  glib2-devel >= 2.4.0

%description
libIDL is a library licensed under the GNU LGPL for creating trees of
CORBA Interface Definition Language (IDL) files, which is a
specification for defining portable interfaces.  libIDL was initially
written for ORBit (the ORB from the GNOME project, and the primary
means of libIDL distribution).  However, the functionality was
designed to be as reusable and portable as possible.


%package devel
Summary:        Development libraries and header files for libIDL
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel

%description devel
This package contains the header files and libraries needed to write or compile
programs that use libIDL.


%prep
%autosetup -p1


%build
%configure --disable-static
%make_build


%install
%make_install
rm ${RPM_BUILD_ROOT}%{_libdir}/libIDL-2.la
rm ${RPM_BUILD_ROOT}%{_infodir}/dir

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc AUTHORS README NEWS BUGS MAINTAINERS
%{_libdir}/libIDL-2.so.*
%{_infodir}/libIDL2.info*


%files devel
%{_libdir}/libIDL-2.so
%{_libdir}/pkgconfig/libIDL-2.0.pc
%{_bindir}/libIDL-config-2
%{_includedir}/libIDL-2.0/


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.14-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.14-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.14-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Apr 20 2022 rockerzhu <rockerzhu@tencent.com> - 0.8.14-1
- Initial build
